Bug 992788 - texlive: FTBFS in rawhide
texlive: FTBFS in rawhide
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: texlive (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jindrich Novy
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F20FTBFS
  Show dependency treegraph
 
Reported: 2013-08-05 02:34 EDT by Dennis Gilmore
Modified: 2013-08-14 03:25 EDT (History)
5 users (show)

See Also:
Fixed In Version: texlive-2013-0.4.20130608_r30832.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-07 10:31:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dennis Gilmore 2013-08-05 02:34:14 EDT
Your package texlive failed to build from source in current rawhide.

http://koji.fedoraproject.org/koji/taskinfo?taskID=5748104

Build logs:
root.log: http://kojipkgs.fedoraproject.org/work/tasks/8104/5748104/root.log
build.log: http://kojipkgs.fedoraproject.org/work/tasks/8104/5748104/build.log
state.log: http://kojipkgs.fedoraproject.org/work/tasks/8104/5748104/state.log
NOTE: build logs are cleaned up after 1 week

For details on mass rebuild see https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild
Comment 1 Ngo Than 2013-08-07 10:31:09 EDT
Dennis, this bug was introduced by mass-rebuild. The mass-rebuild-script added the .1 to "Release: %{tl_release}" which caused the dep issue. Could you please fix the buildscript to increase the tl_rel macro instead to add .1 in the future?

thanks

the issue should be fixed in texlive-2013-0.4.20130608_r30832.fc20.
Comment 2 Vít Ondruch 2013-08-14 03:25:53 EDT
(In reply to Ngo Than from comment #1)
> Dennis, this bug was introduced by mass-rebuild. The mass-rebuild-script
> added the .1 to "Release: %{tl_release}" which caused the dep issue. Could
> you please fix the buildscript to increase the tl_rel macro instead to add
> .1 in the future?

I suspect, that the build script is using rpmdev-bumpspec to bump the release. This tool knows how to bump %{release} macro and some others. May be you can fix your spec instead.

Note You need to log in before you can comment on or make changes to this bug.